Upgrading NextCloudPi from v0.57.16 to v1.4.6 - Missing File

I am trying to upgrade NextCloudPi from v0.57.16 to v1.4.6.

When I do so I am getting this:

Downloading updates
Performing updates
mv: cannot stat ‘/usr/local/etc/ncp-config.d//DDNS_duckDNS.sh’: No such file or directory

Any ideas on what to do?

I was able to move past this (with help from Lartza in the #nextcloud IRC channel on freenode) by going to /usr/local/etc/ncp-config.d/ and renaming the four .sh files (no-ip, freeDNS, duckDNS, spDYN) to have DDNS_ in front of them.

Then I ran into an issue with /etc/apt/apt.conf.d/20auto-upgrades not existing to be able to be removed. So I created that to remove it.

Now I have hit this error:

Unattended upgrades active: yes (autoreboot true)
Cannot load Zend OPcache - it was already loaded

[Exception]
App “NextCloudPi” cannot be installed because it is not compatible with thi
s version of the server.

app:enable [-g|–groups GROUPS] [–]

Any ideas on that?

While I am not sure why, after logging out and back in again and running the update through ncp-admin it was able to complete.

From there I had to upgrade nextcloud itself fro 13 to 14 and then into 15 as major version jumps are not supported in an upgrade.